PHPExcel_Reader_Abstract

category | PHPExcel
package | PHPExcel_Reader
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Can the current PHPExcel_Reader_IReader read the file?

    canRead(string $pFilename) : boolean

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`boolean`

## Read charts in workbook? If this is true, then the Reader will include any charts that exist in the workbook.

    getIncludeCharts() : boolean

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. If false (the default) it will ignore any charts defined in the workbook file.

### Returns

`boolean`

## Get which sheets to load Returns either an array of worksheet names (the list of worksheets that should be loaded), or a null indicating that all worksheets in the workbook should be loaded.

    getLoadSheetsOnly() : mixed

### Returns

`mixed`

## Read data only? If this is true, then the Reader will only read data values for cells, it will not read any formatting information.

    getReadDataOnly() : boolean

If false (the default) it will read data and formatting.

### Returns

`boolean`

## Read filter

    getReadFilter() : \PHPExcel_Reader_IReadFilter

### Returns

`\PHPExcel_Reader_IReadFilter`

## Loads PHPExcel from file

    load(string $pFilename)

Inherited

inherited_from | \PHPExcel_Reader_IReader::load()

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

## Set read charts in workbook Set to true, to advise the Reader to include any charts that exist in the workbook.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Reader_IReader

Note that a ReadDataOnly value of false overrides, and charts won't be read regardless of the IncludeCharts value. Set to false (the default) to discard charts.

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set all sheets to load Tells the Reader to load all worksheets from the workbook.

    setLoadAllSheets() : \PHPExcel_Reader_IReader

### Returns

`\PHPExcel_Reader_IReader`

## Set which sheets to load

    setLoadSheetsOnly(mixed $value) : \PHPExcel_Reader_IReader

### Parameters

#### $value

`mixed`

This should be either an array of worksheet names to be loaded, or a string containing a single worksheet name. If NULL, then it tells the Reader to read all worksheets in the workbook

### Returns

`\PHPExcel_Reader_IReader`

## Set read data only Set to true, to advise the Reader only to read data values for cells, and to ignore any formatting information.

    setReadDataOnly(boolean $pValue) : \PHPExcel_Reader_IReader

Set to false (the default) to advise the Reader to read both data and formatting for cells.

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Reader_IReader`

## Set read filter

    setReadFilter(\PHPExcel_Reader_IReadFilter $pValue) : \PHPExcel_Reader_IReader

### Parameters

#### $pValue

`\PHPExcel_Reader_IReadFilter`

### Returns

`\PHPExcel_Reader_IReader`

## Open file for reading

    _openFile(string $pFilename) : resource

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Reader_Exception` |

### Returns

`resource`

### Properties

##

    $_fileHandle

##

    $_includeCharts : boolean

##

    $_loadSheetsOnly : array

If null, then all worksheets will be loaded.

##

    $_readDataOnly : boolean

##

    $_readFilter : \PHPExcel_Reader_IReadFilter